Update windows10TeamGeneralConfiguration
名前空間: microsoft.graph
注: Intune 用 Microsoft Graph API には、テナントの 有効な Intune ライセンスが必要です。
windows10TeamGeneralConfiguration オブジェクトのプロパティを更新します。
前提条件
この API を呼び出すには、次のいずれかのアクセス許可が必要です。アクセス許可の選択方法などの詳細については、「アクセス許可」を参照してください。
| アクセス許可の種類 | アクセス許可 (特権の小さいものから大きいものへ) |
|---|---|
| 委任 (職場または学校のアカウント) | DeviceManagementConfiguration.ReadWrite.All |
| 委任 (個人用 Microsoft アカウント) | サポートされていません。 |
| アプリケーション | DeviceManagementConfiguration.ReadWrite.All |
HTTP 要求
PATCH /deviceManagement/deviceConfigurations/{deviceConfigurationId}
要求ヘッダー
| ヘッダー | 値 |
|---|---|
| Authorization | ベアラー <トークン> が必要です。 |
| 承諾 | application/json |
要求本文
要求本文で、windows10TeamGeneralConfiguration オブジェクトの JSON 表記を指定します。
次の表に、windows10TeamGeneralConfiguration の作成時に必要なプロパティを示します。
| プロパティ | 型 | 説明 |
|---|---|---|
| id | String | エンティティのキー。 deviceConfiguration から継承します |
| lastModifiedDateTime | DateTimeOffset | オブジェクトの最終更新の DateTime。 deviceConfiguration から継承します |
| createdDateTime | DateTimeOffset | オブジェクトが作成された DateTime。 deviceConfiguration から継承します |
| 説明 | String | 管理者が指定した、デバイス構成についての説明。 deviceConfiguration から継承します |
| displayName | 文字列 | 管理者が指定した、デバイス構成の名前。 deviceConfiguration から継承します |
| version | Int32 | デバイス構成のバージョン。 deviceConfiguration から継承します |
| azureOperationalInsightsBlockTelemetry | Boolean | Azure Operational Insights をブロックするかどうかを示します。 |
| azureOperationalInsightsWorkspaceId | String | Azure Operational Insights のワークスペース ID。 |
| azureOperationalInsightsWorkspaceKey | String | Azure Operational Insights のワークスペース キー。 |
| connectAppBlockAutoLaunch | Boolean | 投影を開始するたびに、接続アプリを自動的に起動するかどうかを指定します。 |
| maintenanceWindowBlocked | Boolean | デバイス更新のメンテナンス ウィンドウの設定をブロックするかどうかを示します。 |
| maintenanceWindowDurationInHours | Int32 | デバイス更新のためのメンテナンス期間の長さ (時間)。 有効な値は 0 から 5 までです |
| maintenanceWindowStartTime | TimeOfDay | デバイス更新のためのメンテナンス期間の開始時刻。 |
| miracastChannel | miracastChannel | チャネル。 可能な値は、userDefined、one、two、three、four、five、six、seven、eight、nine、ten、eleven、thirtySix、forty、fortyFour、fortyEight、oneHundredFortyNine、oneHundredFiftyThree、oneHundredFiftySeven、oneHundredSixtyOne、oneHundredSixtyFive です。 |
| miracastBlocked | Boolean | ワイヤレス投影をブロックするかどうかを示します。 |
| miracastRequirePin | Boolean | ワイヤレス投影の pin が必要かどうかを示します。 |
| settingsBlockMyMeetingsAndFiles | Boolean | スタート メニューで [会議とファイル] 機能を無効にするかどうかを指定します。この機能は、サインイン ユーザーの会議とファイルを Office 365 から表示します。 |
| settingsBlockSessionResume | Boolean | セッションがタイムアウトになった際にセッションを再開する機能を許可するかどうかを指定します。 |
| settingsBlockSigninSuggestions | Boolean | スケジュールされている会議の招待者をサインイン ダイアログに自動入力する機能を無効にするかどうかを指定します。 |
| settingsDefaultVolume | Int32 | 新しいセッションの既定のボリューム値を指定します。 許可される値は、0 から 100 までです。 既定値は 45 です。 有効な値は 0 から 100 までです |
| settingsScreenTimeoutInMinutes | Int32 | ハブ スクリーンがオフになるまでの分数を指定します。 |
| settingsSessionTimeoutInMinutes | Int32 | セッションがタイムアウトになるまでの分数を指定します。 |
| settingsSleepTimeoutInMinutes | Int32 | ハブがスリープ モードになるまでの分数を指定します。 |
| welcomeScreenBlockAutomaticWakeUp | Boolean | ユーザーが入室した際に、ようこそ画面が自動的に起動するのをブロックするかどうかを指定します。 |
| welcomeScreenBackgroundImageUrl | String | ようこそ画面の背景画像の URL。 URL は HTTPS プロトコルを使用し、PNG 画像を返す必要があります。 |
| welcomeScreenMeetingInformation | welcomeScreenMeetingInformation | 表示される、ようこそ画面の会議情報。 可能な値は、userDefined、showOrganizerAndTimeOnly、showOrganizerAndTimeAndSubject です。 |
応答
このメソッドが成功した場合、このメソッドは 200 OK 応答コードと、応答本文で更新された windows10TeamGeneralConfiguration オブジェクトを返します。
例
要求
以下は、要求の例です。
PATCH https://graph.microsoft.com/v1.0/deviceManagement/deviceConfigurations/{deviceConfigurationId}
Content-type: application/json
Content-length: 1150
{
"@odata.type": "#microsoft.graph.windows10TeamGeneralConfiguration",
"description": "Description value",
"displayName": "Display Name value",
"version": 7,
"azureOperationalInsightsBlockTelemetry": true,
"azureOperationalInsightsWorkspaceId": "Azure Operational Insights Workspace Id value",
"azureOperationalInsightsWorkspaceKey": "Azure Operational Insights Workspace Key value",
"connectAppBlockAutoLaunch": true,
"maintenanceWindowBlocked": true,
"maintenanceWindowDurationInHours": 0,
"maintenanceWindowStartTime": "11:59:09.3130000",
"miracastChannel": "one",
"miracastBlocked": true,
"miracastRequirePin": true,
"settingsBlockMyMeetingsAndFiles": true,
"settingsBlockSessionResume": true,
"settingsBlockSigninSuggestions": true,
"settingsDefaultVolume": 5,
"settingsScreenTimeoutInMinutes": 14,
"settingsSessionTimeoutInMinutes": 15,
"settingsSleepTimeoutInMinutes": 13,
"welcomeScreenBlockAutomaticWakeUp": true,
"welcomeScreenBackgroundImageUrl": "https://example.com/welcomeScreenBackgroundImageUrl/",
"welcomeScreenMeetingInformation": "showOrganizerAndTimeOnly"
}
応答
以下は、応答の例です。注:簡潔にするために、ここに示す応答オブジェクトは切り詰められている場合があります。すべてのプロパティは実際の呼び出しから返されます。
HTTP/1.1 200 OK
Content-Type: application/json
Content-Length: 1322
{
"@odata.type": "#microsoft.graph.windows10TeamGeneralConfiguration",
"id": "0c94aa20-aa20-0c94-20aa-940c20aa940c",
"lastModifiedDateTime": "2017-01-01T00:00:35.1329464-08:00",
"createdDateTime": "2017-01-01T00:02:43.5775965-08:00",
"description": "Description value",
"displayName": "Display Name value",
"version": 7,
"azureOperationalInsightsBlockTelemetry": true,
"azureOperationalInsightsWorkspaceId": "Azure Operational Insights Workspace Id value",
"azureOperationalInsightsWorkspaceKey": "Azure Operational Insights Workspace Key value",
"connectAppBlockAutoLaunch": true,
"maintenanceWindowBlocked": true,
"maintenanceWindowDurationInHours": 0,
"maintenanceWindowStartTime": "11:59:09.3130000",
"miracastChannel": "one",
"miracastBlocked": true,
"miracastRequirePin": true,
"settingsBlockMyMeetingsAndFiles": true,
"settingsBlockSessionResume": true,
"settingsBlockSigninSuggestions": true,
"settingsDefaultVolume": 5,
"settingsScreenTimeoutInMinutes": 14,
"settingsSessionTimeoutInMinutes": 15,
"settingsSleepTimeoutInMinutes": 13,
"welcomeScreenBlockAutomaticWakeUp": true,
"welcomeScreenBackgroundImageUrl": "https://example.com/welcomeScreenBackgroundImageUrl/",
"welcomeScreenMeetingInformation": "showOrganizerAndTimeOnly"
}
フィードバック
フィードバックの送信と表示